#ifndef __simplefeature_export_dlg_srid_H
#define __simplefeature_export_dlg_srid_H

#if defined(__GNUG__) && !defined(NO_GCC_PRAGMA)
    #pragma interface "simplefeature_export_dlg_srid.h"
#endif

// Include wxWidgets' headers
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/dialog.h>
#include <wx/grid.h>


//---------------------------------------------------------------------

enum {
	ID_GRID_SRID1 = 10000
};
//---------------------------------------------------------------------

class CSimpleFeature_export_dlg_srid : public wxDialog
{
public:
	CSimpleFeature_export_dlg_srid();
	CSimpleFeature_export_dlg_srid(wxWindow *parent, wxWindowID id,
								   const wxString &title, int selection);

	~CSimpleFeature_export_dlg_srid();

	int					Get_SRID();

private:
	void				_Create_DLG(int selection);
	bool				_Assign_SRID_Grid(int selection);
	void				On_Size(wxSizeEvent &event);

	wxBoxSizer			*MainBoxSizer;
	wxGrid				*m_pGrid_SRID;

//---------------------------------------------------------------------

	DECLARE_EVENT_TABLE()
};

#endif /* __simplefeature_export_dlg_srid_H */